export const deprecationNotice = (component, message) => {
    if (process.env.NODE_ENV === 'development' || process.env.NODE_ENV === 'test') {
        const value = `*** ui5-webcomponents-react Deprecation Notice - ${component} ***\n`;
        // eslint-disable-next-line no-console
        if (console && console.warn) {
            // eslint-disable-next-line no-console
            console.warn(`${value}${message}`);
        }
    }
};
export const enrichEventWithDetails = (event, payload = null) => {
    // safeguard
    if (!event) {
        return event;
    }
    if (event.hasOwnProperty('persist')) {
        // if there is a persist method, it's an SyntheticEvent so we need to persist it
        event.persist();
    }
    const shouldCreateNewDetails = event.detail === null || event.detail === undefined || typeof event.detail !== 'object';
    Object.defineProperty(event, 'detail', {
        value: shouldCreateNewDetails ? {} : event.detail,
        writable: true,
        configurable: true
    });
    Object.assign(event.detail, payload);
    return event;
};
export { debounce } from './debounce.js';
export { throttle } from './throttle.js';
